import matplotlib.pyplot as plt
import random
import numpy
from math import sqrt

vals = [0.5*(1.0 + random.uniform(0.0, 1.0))**2 for i in range(100000)]
xvals = numpy.linspace(0.5, 2.0, 30)
yvals = numpy.array([1.0/sqrt(2.0*x) for x in xvals])
plt.hist(vals, bins=20, normed=True)
plt.plot(xvals, yvals)
plt.show()
